%define __libtoolize true

Name:		kmplayer
Version:	0.9.4
Release:	%mkrel 6
Summary:	A multimedia mplayer/gstreamer/libxine frontend for KDE
License:	GPL
Group:		Video
Url:		http://kmplayer.kde.org/
Source:		http://kmplayer.kde.org/pkgs/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-devel 
BuildRequires: libgstreamer-devel
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: libxine-devel
Requires:	mplayer
Patch0: kmplayer-0.9.3-mdv-raise-priority.patch
Patch1:	kmplayer-0.9.4-fix-bug-29462.patch

%if %mdkversion > 200600
BuildRequires:	libxv-devel
%endif

%description
KMPlayer can play all the audio/video supported by mplayer/libxine/Gstreamer from local
file or url, be embedded inside Konqueror and KHTML and play DVD's.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p1 -b .fix_bug_29462

%build

%configure2_5x	\
	--disable-debug \
	--enable-shared \
	--disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif		
	--disable-rpath \
	--disable-embedded \
	--with-xinerama \
	--enable-final 

%make

%install
rm -rf %buildroot

make DESTDIR=%buildroot install

# Create LMDK menu entries
install -d %buildroot/%_menudir/
# Create LMDK menu directory
kdedesktop2mdkmenu.pl %{name} "Multimedia/Video"  %buildroot/%_datadir/applications/kde/kmplayer.desktop %buildroot/%_menudir/%name

%{find_lang} %{name} --with-html

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%doc %_docdir/HTML/*/kmplayer
%{_bindir}/*
%{_libdir}/kde3/kmplayer*
%{_libdir}/kde3/libkmplayerpart*
%{_libdir}/libkdeinit_kmplayer*
%{_libdir}/libkmplayercommon*
%{_datadir}/applications/kde/kmplayer.desktop
%{_datadir}/config/*
%{_datadir}/services/*
%{_datadir}/mimelnk/*
%{_datadir}/apps/%{name}
%{_iconsdir}/*/*/*/*
%{_menudir}/%{name}
%if %mdkversion > 200600
%exclude %{_datadir}/mimelnk/application/x-mplayer2.desktop
%endif



%changelog
* Mon Mar 26 2007 Laurent Montel <lmontel@mandriva.com> 0.9.4-6mdv2007.1
+ Revision: 148823
- Fix bug #29462

* Sun Mar 18 2007 Olivier Blin <oblin@mandriva.com> 0.9.4-5mdv2007.1
+ Revision: 146347
- tag lang on HTML doc

* Tue Mar 13 2007 Laurent Montel <lmontel@mandriva.com> 0.9.4-4mdv2007.1
+ Revision: 142467
- Add requires on mplayer

* Sun Mar 04 2007 Laurent Montel <lmontel@mandriva.com> 0.9.4-3mdv2007.1
+ Revision: 132009
- 0.9.4

* Fri Jan 05 2007 Laurent Montel <lmontel@mandriva.com> 0.9.3-3mdv2007.1
+ Revision: 104537
- 0.9.3a
- Don't block close kde session.
  (bug found by Jloup)
  (patch commited into svn)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - kmplayer-0.9.3-1mdv2007.0 (aka just in time)
           - Include translations and doc

* Tue Sep 12 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.3-0.rc1.3mdv2007.0
+ Revision: 61107
- Put the corerct priority number

* Tue Sep 12 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.3-0.rc1.2mdv2007.0
+ Revision: 61095
- Add missin patch
- Raise priority of kmplayer

* Wed Sep 06 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.rc1.1mdv2007.0
+ Revision: 60304
- New package (2006-09-06 0.9.3-rc1)
  0.9.3rc1

* Sat Sep 02 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.pre2.3mdv2007.0
+ Revision: 59595
- New package
  Patch from Raphael Gertz <rapsys at free dot fr> to use gl2

* Mon Aug 28 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.pre2.2mdv2007.0
+ Revision: 58515
- Add missing buildrequires

* Mon Aug 28 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.pre2.1mdv2007.0
+ Revision: 58346
- pre2

* Sat Aug 12 2006 Laurent Montel <lmontel@mandriva.com> 0.9.3-0.pre1.1mdv2007.0
+ Revision: 55718
- New package (2006/08/12 0.9.3-pre1)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix for mdv <= 2006  thanks laurent

  + Helio Chissini de Castro <helio@mandriva.com>
    - Cleaned spec and moved neoclust fix for a rpm based solution
      Will close bug number http://qa.mandriva.com/show_bug.cgi?id=23585
    - Proper compile of xine and gstreamer backends
    - Removed old icons since package provide right set
    - Removed explicit requires for mplayer. Should be optional and gstreamer and xine is
      already enabled by default
    - import kmplayer-0.9.2-4mdv2007.0


* Sat Jul 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.2-4mdv2007.1
- remove x-mplayer2.desktop which conflicts with new kdelibs-common

* Wed Jun 07 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-3
- Use 0.9.2a version

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.2-2mdk
- Rebuild to generate categories

* Sat Apr 22 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-1
- 0.9.2

* Tue Apr 11 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.rc1.1
- 0.9.2-rc1

* Wed Mar 22 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.pre3.1
- 0.9.2-pre3

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.pre2.1
- 0.9.2-pre2

* Fri Jan 06 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.pre1.2
- Add patch1: fix crash when device is not here.
- Fix menu

* Fri Jan 06 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9.2-0.pre1.1
- 0.9.2-pre1

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.1-3
- Fix build on x86_64

* Mon Nov 28 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.1-2
- 0.9.1a

* Sun Oct 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-1mdk
- 0.9.1 Final

* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.1-0.rc1.1mdk
- New release 0.9.1-Rc1
- Remove redundant buildRequires

* Tue Aug 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.0-3mdk
- Use 0.9.0c

* Sat Aug 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.0-2mdk
- 0.9.0b

* Sun Jul 24 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.0-1mdk
- 0.9.0

* Thu Apr 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.0-0.pre3.1mdk
- 0.9.0-pre3
- Fix build for amd64

* Tue Apr 19 2005 Nick Brown <nickbrown@mandriva.org> 0.9.0-0.pre2.1mdk
- 0.9.0-pre2
- remove pnm.protocol which conflicts with new kdelibs-common
- fix icon installation

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-0.rc5.1mdk
- rc5

* Mon Dec 13 2004 Laurent Culioli <laurent@mandrake.org> 0.8.4-0.rc4.1mdk
- 0.8.4-rc-4

* Thu Nov 11 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.4-0.rc2.1mdk
- 0.8.4-rc2
- lib64 fixes
- remove x-ms-wma.desktop which conflicts with new kdelibs-common
- cleanups

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc4.2mdk
- remove files that conflict with kdelibs

* Mon Aug 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc4.1mdk
- fix icon installation
- add source URL
- new version

* Mon Jun 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc1.2mdk
- rebuild for new g++

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-0.rc1.1mdk
- 0.8.3-rc1

* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Wed Nov 26 2003 Luca Berra <bluca@vodka.it> 0.8.1-2mdk
- removed x-ms-wmv.desktop (conflict with kdelibs-common)
- buildrequires arts (mcopidl)

* Thu Nov 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- from Cameron Hart <cam@bitshifter.net.nz> :
	- updated to latest release

* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.4c-2mdk
- rebuild

